Skip to content
Start here

Update Route

client.MagicTransit.Routes.Update(ctx, routeID, params) (*RouteUpdateResponse, error)
PUT/accounts/{account_id}/magic/routes/{route_id}

Update a specific Magic static route. Use ?validate_only=true as an optional query parameter to run validation only without persisting changes.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic Transit Write
ParametersExpand Collapse
routeID string

Identifier

maxLength32
params RouteUpdateParams
AccountID param.Field[string]

Path param: Identifier

maxLength32
Nexthop param.Field[string]

Body param: The next-hop IP Address for the static route.

Prefix param.Field[string]

Body param: IP Prefix in Classless Inter-Domain Routing format.

Priority param.Field[int64]

Body param: Priority of the static route.

Description param.Field[string]optional

Body param: An optional human provided description of the static route.

Scope param.Field[Scope]optional

Body param: Used only for ECMP routes.

Weight param.Field[int64]optional

Body param: Optional weight of the ECMP scope - if provided.

ReturnsExpand Collapse
type RouteUpdateResponse struct{…}
Modified booloptional
ModifiedRoute RouteUpdateResponseModifiedRouteoptional
ID string

Identifier

maxLength32
Nexthop string

The next-hop IP Address for the static route.

Prefix string

IP Prefix in Classless Inter-Domain Routing format.

Priority int64

Priority of the static route.

CreatedOn Timeoptional

When the route was created.

formatdate-time
Description stringoptional

An optional human provided description of the static route.

ModifiedOn Timeoptional

When the route was last modified.

formatdate-time
Scope Scopeoptional

Used only for ECMP routes.

ColoNames []stringoptional

List of colo names for the ECMP scope.

ColoRegions []stringoptional

List of colo regions for the ECMP scope.

Weight int64optional

Optional weight of the ECMP scope - if provided.

Update Route

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/magic_transit"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  route, err := client.MagicTransit.Routes.Update(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    magic_transit.RouteUpdateParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
      Nexthop: cloudflare.F("203.0.113.1"),
      Prefix: cloudflare.F("192.0.2.0/24"),
      Priority: cloudflare.F(int64(0)),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", route.Modified)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "modified": true,
    "modified_route": {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "nexthop": "203.0.113.1",
      "prefix": "192.0.2.0/24",
      "priority": 0,
      "created_on": "2017-06-14T00:00:00Z",
      "description": "New route for new prefix 203.0.113.1",
      "modified_on": "2017-06-14T05:20:00Z",
      "scope": {
        "colo_names": [
          "den01"
        ],
        "colo_regions": [
          "APAC"
        ]
      },
      "weight": 0
    }
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "modified": true,
    "modified_route": {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "nexthop": "203.0.113.1",
      "prefix": "192.0.2.0/24",
      "priority": 0,
      "created_on": "2017-06-14T00:00:00Z",
      "description": "New route for new prefix 203.0.113.1",
      "modified_on": "2017-06-14T05:20:00Z",
      "scope": {
        "colo_names": [
          "den01"
        ],
        "colo_regions": [
          "APAC"
        ]
      },
      "weight": 0
    }
  },
  "success": true
}